Skip to content

List all templates for a notification and channel

GET
/notifications/{notificationId}/{channel}/templates
curl --request GET \
--url https://api.pingram.io/notifications/example/example/templates \
--header 'Authorization: Bearer <token>'

Authorizations

Parameters

Path Parameters

notificationId
required
string

Notification ID

channel
required
string

Channel type

Responses

200

Successful response

Media typeapplication/json

List of templates for a notification/channel (list endpoint).

Array
Any of:
object
envId
required
string
notificationId
required
string
templateId
required
string
channel
required
string
Allowed values: EMAIL INAPP_WEB SMS CALL PUSH WEB_PUSH SLACK
default
required
boolean
isDefaultFor
object
key
additional properties
boolean
html
required
string
previewText
string
internal
required
string
subject
required
string
senderName
required
string
senderEmail
required
string
Example
[
{
"channel": "EMAIL"
}
]

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}